Misleading blocklisting message with Intel 6.14.10.5218 Driver

RESOLVED FIXED in Firefox 41

Status

()

defect
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: goldencut, Assigned: milan)

Tracking

35 Branch
mozilla41
x86
Windows XP
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox41 fixed)

Details

(Whiteboard: gfx-noted)

Attachments

(7 attachments)

Posted image driver_version.jpg
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:35.0) Gecko/20100101 Firefox/35.0
Build ID: 20150122214805

Steps to reproduce:

Looked at FF' 'Troubleshooting Information' in Help menu. Saw that my graphics (card) driver was too old so 'Direct2D Enabled' and 'GPU Accelerated Windows' are 'Blocked'. I upgraded graphics driver. 


Actual results:

Looked at FF' 'Troubleshooting Information' in Help menu again. Latest driver that I have now installed is still listed as too old because its version is not recognized correctly by FF.


Expected results:

'Direct2D Enabled' and 'GPU Accelerated Windows' should NOT be 'Blocked' anymore since driver is actually the version required by FF.
Platform is actually Microsoft Windows POSReady2009 V2.0 SP3.
Posted image System
Looks similar to bug 977249.
Component: Untriaged → Graphics
Product: Firefox → Core
Summary: Driver version not recognized → Intel 6.14.10.5218 Driver version incorrectly blacklisted
Agreed. Still an issue on 37.0.1:
Direct2D Enabled	Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer.
DirectWrite Enabled	false (0.0.0.0)
Driver Date	1-13-2010
Driver Version	6.14.10.5218
GPU #2 Active	false
GPU Accelerated Windows	0/1 Basic (OMTC) Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer.
The message is wrong.  This device is currently blocked because of the bug 1116812, all driver versions.
Assignee: nobody → milan
Whiteboard: gfx-noted
My best guess is that we're running into mismatched driver version (what the registry reports is different from what the version of the DLL is), in which case we report a bad driver version, which then gives you a message about getting a new version.  Bad message, and outside of forcing a crash, Firefox doesn't report this issue any other way.

For the history, see bug 984417, bug 1063048, bug 1093694 (and probably earlier ones as well.)

We should at least have the correct message.
Could one of the people that can reproduce this problem install a build from http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/msreckovic@mozilla.com-cd3e89b331da/try-win32/firefox-40.0a1.en-US.win32.installer.exe and attach the graphics section of about:support?

You can do a custom install location so that it doesn't interfere with whatever version you have previously installed.
Depends on: 1152331
Hi,
Will this not mess up my current Firefox' or OS' settings in some way (like change some registry keys to point to this new FF in new location etc)?
Make sure you choose the Custom Setup Type during installation, and specify some temporary folder (e.g., create a new folder on the desktop.)  Quit any other instances of Firefox, find firefox.exe in the temporary folder you used and run it.  First time you do, it may ask you if you want this version to be the default, and if you say "No" to that, it won't interfere with the default settings and the installed Firefox will still be your default browser.
Seems to have some improvement, in that it tries to explain the error.
Posted image FFn40.0.a1_a-t.png
Screenshot from nightly 40.0a1.
Posted file FFn40.0.a1_a-t.txt
This is a lot of help, thanks - if you have a chance, could you see if you have these DLLs on your system, and if you do, what their versions are?  (The file version in Details tab of the properties)

igd10umd64.dll
igd10umd32.dll
igd10iumd64.dll
igd10iumd32.dll

Thanks again.
I do not have any of these files on my system. I had uninstalled the Nightly already, does it matter?
Don't think so, but you not having these files is very helpful piece of information.
By the way, do you have the variation on those files without the 10?  igdumd64.dll for example?  Or with 11 replacing 10?
Nope.
One more favor - if you install (see comment 9) this version: http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/msreckovic@mozilla.com-6cdeb268aaa0/try-win32/firefox-40.0a1.en-US.win32.installer.exe, what does about:support look like?  Are you running with acceleration or are you still blocklisted?
Flags: needinfo?(goldencut)
Although this "fix" doesn't improve much for me as a Firefox user please find the information in the attachment.
Flags: needinfo?(goldencut)
Posted image Clipboard01.jpg
"Fixed"
Summary: Intel 6.14.10.5218 Driver version incorrectly blacklisted → Misleading blocklisting message with Intel 6.14.10.5218 Driver
Attachment #8606377 - Flags: review?(jmuizelaar) → review+
https://hg.mozilla.org/mozilla-central/rev/ff168c00c6bc
Status: UNCONFIRMED → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla41
You need to log in before you can comment on or make changes to this bug.